Package Details: aqemu-git v0.9.2.r101.g34ca8ce-1

Git Clone URL: https://aur.archlinux.org/aqemu-git.git (read-only, click to copy)
Package Base: aqemu-git
Description: QEMU GUI written in Qt (Qt5 rewrite)
Upstream URL: https://github.com/tobimensch/aqemu
Licenses: GPL2
Conflicts: aqemu
Submitter: fordprefect
Maintainer: fordprefect
Last Packager: fordprefect
Votes: 5
Popularity: 0.82
First Submitted: 2016-04-29 19:08
Last Updated: 2020-05-04 19:26

Latest Comments

1 2 Next › Last »

fordprefect commented on 2021-07-20 08:10

@gyurman: Neither your comment nor your ood message ("long time no maintenance") add anything useful. The package builds fine, and if you happen to have problems running it (which one can only assume, since you do not state where these errors occur), you'd better check upstream. After all, this is a -git package and not a stable release. After using the AUR for so long, you should know better than this. Unflagging.

gyurman commented on 2021-07-19 19:21

AQEMU Warning [2] >>> Sender: bool Emulator::Load( const QString &path ) Message: No "qemu-system-arm" element!

AQEMU Error [2] >>> Sender: void AQSave_To_Log( const QString& mes_type, const QString& sender, const QString& mes ) Message: Cannot Open Log file to Write! Log Path: "/home/gyurmo/.aqemu/aqemu.log"

AQEMU Warning [4] >>> Sender: bool Emulator::Load( const QString &path ) Message: No "qemu-system-cris" element!

AQEMU Warning [5] >>> Sender: bool Emulator::Load( const QString &path ) Message: No "qemu-system-m68k" element!

AQEMU Warning [6] >>> Sender: bool Emulator::Load( const QString &path ) Message: No "qemu-system-microblaze" element!

AQEMU Warning [7] >>> Sender: bool Emulator::Load( const QString &path ) Message: No "qemu-system-mips" element!

AQEMU Warning [8] >>> Sender: bool Emulator::Load( const QString &path ) Message: No "qemu-system-mips64" element!

AQEMU Warning [9] >>> Sender: bool Emulator::Load( const QString &path ) Message: No "qemu-system-mips64el" element!

AQEMU Warning [10] >>> Sender: bool Emulator::Load( const QString &path ) Message: No "qemu-system-mipsel" element!

AQEMU Warning [11] >>> Sender: bool Emulator::Load( const QString &path ) Message: No "qemu-system-ppc" element!

AQEMU Warning [12] >>> Sender: bool Emulator::Load( const QString &path ) Message: No "qemu-system-ppc64" element!

AQEMU Warning [13] >>> Sender: bool Emulator::Load( const QString &path ) Message: No "qemu-system-ppcemb" element!

AQEMU Warning [14] >>> Sender: bool Emulator::Load( const QString &path ) Message: No "qemu-system-sh4" element!

AQEMU Warning [15] >>> Sender: bool Emulator::Load( const QString &path ) Message: No "qemu-system-sh4eb" element!

AQEMU Warning [16] >>> Sender: bool Emulator::Load( const QString &path ) Message: No "qemu-system-sparc" element!

AQEMU Warning [17] >>> Sender: bool Emulator::Load( const QString &path ) Message: No "qemu-system-sparc64" element! Szegmentálási hiba (core készült)

bidulock commented on 2021-05-23 23:20

Please add 'git' to makedepends.

fordprefect commented on 2021-03-28 14:41

@Δ: mkdir issue: if a user builds with a partially populated srcdir, they should actually not expect anything to work. Cleaning up your stage before rebuilding is a minimal requirement if you are not building in a clean chroot. Artificially splitting that out to prepare() is possible but by no means necessary. A provides only makes sense, if other software depends on this. Since aqemu is an end-user software and nothing depends on it, it is pointless. For the different upstream from the other package, see comment there.

dreieck commented on 2021-03-28 12:54

Can you add a provides=("aqemu=${pkgver}")?

Thanks for maintaining!

dreieck commented on 2021-03-28 12:37

mkdir builddir should be in prepare() I think.

Also consider changing it to mkdir -p builddir in order to not fail when it is already there (e.g. from a previous makepkg run).

Thanks for maintaining!

dreieck commented on 2021-03-28 12:36

The AUR package aqemu seems to be more up to date than this -git-package with respect to $pkgver/ pkgver(). They use a different source.

Maybe the other source is more up to date? Which one is official?

FredBezies commented on 2020-05-04 15:58

Ninja is required to build this software.

https://github.com/tobimensch/aqemu

Example how to build using meson/ninja:

meson builddir
cd builddir
ninja
./aqemu

Fixed and tested PKGBUILD:

pkgname=aqemu-git
pkgver=v0.9.2.r101.g34ca8ce
pkgrel=1
pkgdesc="QEMU GUI written in Qt (Qt5 rewrite)"
arch=('i686' 'x86_64')
url="https://github.com/tobimensch/aqemu"
license=('GPL2')
conflicts=("aqemu")
depends=('qemu' 'qt5-base' 'libvncserver')
makedepends=('meson' 'ninja' 'qt5-base')
source=("aqemu::git+https://github.com/tobimensch/aqemu.git")
sha256sums=('SKIP')

pkgver() {
    cd "$srcdir/aqemu"
    git describe --long | sed 's/\([^-]*-g\)/r\1/;s/-/./g'
}

build() {
    cd "$srcdir/aqemu"
    mkdir builddir
    cd builddir
    meson --prefix=/usr --sysconfdir=/etc
    ninja
}

package() {
    cd "$srcdir/aqemu"
    cd builddir 
    DESTDIR="$pkgdir" ninja install
}

fordprefect commented on 2019-04-08 15:33

@smit_17: vcs-packages don't receive updates via AUR, the version shown here does not reflect the version you get when building the package. It reflects the version it was tested against when the PKGBUILD was last updated. As a user, you are responsible for VCS package updates yourself.

Smit_17 commented on 2019-04-08 15:26

I thing one should use https://github.com/master3553/aqemu branch as it fixes major bug at the time of this comment